package com.cool.store.service;

import com.cool.store.dto.buser.UserEventDTO;
import com.cool.store.dto.dept.DepartmentEventDTO;

/**
 * @author zhangchenbiao
 * @FileName: EnterpriseInitService
 * @Description:
 * @date 2023-05-29 15:43
 */
public interface EnterpriseSyncService {

    /**
     * 全量同步
     */
    void syncAll();

    /**
     * 飞书人员事件
     * @param param
     */
    void userUpdateEvent(UserEventDTO param);

    /**
     * 部门事件
     * @param param
     */
    void deptUpdateEvent(DepartmentEventDTO param);
}
